Package ghidra.app.cmd.refs

# Class SetExternalRefCmd

java.lang.Object
ghidra.app.cmd.refs.SetExternalRefCmd

All Implemented Interfaces:
  `Command`

public class SetExternalRefCmd extends Object implements Command
Command class for adding external references.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetExternalRefCmd(Address fromAddr, int opIndex, String extName, String extLabel, Address extAddr, RefType refType, SourceType source)`
  Constructs a new command for adding external references.
  `SetExternalRefCmd(Address fromAddr, int opIndex, String extName, String extLabel, Address extAddr, SourceType source)`
  Deprecated.
  the other constructor form should be used with an appropriate RefType specified.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetExternalRefCmd

    public SetExternalRefCmd(Address fromAddr, int opIndex, String extName, String extLabel, Address extAddr, RefType refType, SourceType source)
    Constructs a new command for adding external references.
    Parameters:
      `fromAddr` - from address (source of the reference)
      `opIndex` - operand index
      `extName` - name of external program
      `extLabel` - label within the external program, may be null if extAddr is not null
      `extAddr` - address within the external program, may be null
      `refType` - reference type (NOTE: data/pointer should generally utilize `RefType.DATA`
      `source` - the source of this reference

  - ### SetExternalRefCmd

    @Deprecated public SetExternalRefCmd(Address fromAddr, int opIndex, String extName, String extLabel, Address extAddr, SourceType source)
    Deprecated.
    the other constructor form should be used with an appropriate RefType specified. `RefType.DATA` should be used for address table pointer references.
    Constructs a new command for adding an external reference from data using `RefType.DATA`.
    Parameters:
      `fromAddr` - from address (source of the reference)
      `opIndex` - operand index
      `extName` - name of external program
      `extLabel` - label within the external program, may be null if extAddr is not null
      `extAddr` - address within the external program, may be null
      `source` - the source of this reference

- ## Method Details

  - ### applyTo

    public boolean applyTo(DomainObject obj)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command`
    Parameters:
      `obj` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully
    See Also:
      - `Command.applyTo(ghidra.framework.model.DomainObject)`

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command`
    Returns:
      reason for failure, or null if the status of the command was successful
    See Also:
      - `Command.getStatusMsg()`

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command`
    Returns:
      the name of this command
    See Also:
      - `Command.getName()`